> ## Documentation Index
> Fetch the complete documentation index at: https://guide.rolodexcrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Companies

## `GET` contacts

Fetch a list of companies

`GET` `/user-api/v1/companies`

### Query Parameters

<ParamField path="limit" type="string">
  Set a limit to the number of records to return (Default:25)
</ParamField>

<ParamField path="offset" type="string">
  Number of records to skip.
</ParamField>

<ParamField path="order_by" type="string">
  Sort order: `updated_at:asc`, `updated_at:desc`, `created_at:asc`, `created_at:desc`, `last_team_interaction:asc`, `last_team_interaction:desc`, `name:asc`, `name:desc`, `team_members_connected:asc`, `team_members_connected:desc`
</ParamField>

<ParamField path="include" type="string">
  Related data to include: `custom_fields`, `tags`, `lists`, `contacts`
</ParamField>

### Headers

| Header              | Value               |
| ------------------- | ------------------- |
| `x-rolodex-api-key` | `f1e2d3c4b5a697...` |

### Response

```json theme={null}
{
  "pagination": {
    "limit": 25,
    "offset": 0,
    "total": 500
  },
  "data": [
    {
      "id": "company_12345",
      "name": "Acme Corp",
      "description": "Leading technology company specializing in innovative solutions",
      "headquarters_location": "San Francisco, CA",
      "linkedin_slug": "acme-corp",
      "website_url": "https://acmecorp.com",
      "x_slug": "acmecorp",
      "facebook_slug": "acmecorp",
      "instagram_slug": "acmecorp",
      "email": "info@acmecorp.com",
      "country_code": "+1",
      "phone_number": "5551234567",
      "arr_estimate": 5000000,
      "number_of_employees": 250,
      "is_starred": false,
      "ignore_merge": false,
      "last_team_interaction": "2025-01-15T10:30:00Z",
      "team_members_connected": 5,
      "created_at": "2025-01-15T10:30:00Z",
      "updated_at": "2025-01-15T10:30:00Z"
    }
  ]
}
```

### With `Include` Parameters

`GET` `/user-api/v1/companies?include=tags,lists,contacts,custom_fields`

### Response with all includes

```json theme={null}
{
  "pagination": {
    "limit": 25,
    "offset": 0,
    "total": 500
  },
  "data": [
    {
      "id": "company_12345",
      "name": "Acme Corp",
      "description": "Leading technology company specializing in innovative solutions",
      "headquarters_location": "San Francisco, CA",
      "linkedin_slug": "acme-corp",
      "website_url": "https://acmecorp.com",
      "x_slug": "acmecorp",
      "facebook_slug": "acmecorp",
      "instagram_slug": "acmecorp",
      "email": "info@acmecorp.com",
      "country_code": "+1",
      "phone_number": "5551234567",
      "arr_estimate": 5000000,
      "number_of_employees": 250,
      "is_starred": false,
      "ignore_merge": false,
      "last_team_interaction": "2025-01-15T10:30:00Z",
      "team_members_connected": 5,
      "created_at": "2025-01-15T10:30:00Z",
      "updated_at": "2025-01-15T10:30:00Z",
      "tags": [
        {
          "tag": {
            "id": "tag_123",
            "name": "Enterprise"
          }
        }
      ],
      "lists": [
        {
          "list": {
            "id": "list_456",
            "name": "Target Accounts"
          }
        }
      ],
      "contacts": [
        {
          "id": "contact_789",
          "full_name": "John Smith",
          "image_url": "https://example.com/avatar.jpg"
        }
      ],
      "custom_fields": [
        {
          "id": "field_101",
          "name": "Industry",
          "field_type": "SINGLE_LINE_TEXT",
          "value": "Technology"
        },
        {
          "id": "field_102",
          "name": "Priority Level",
          "field_type": "SINGLE_SELECT",
          "value": {
            "id": "option_201",
            "value": "High"
          }
        }
      ]
    }
  ]
}
```

## `GET` Company by ID

Fetch information about one company by ID.

`GET` `/user-api/v1/companies/:id`

### Path Parameters

<ParamField path="id" type="string">
  Company ID
</ParamField>

### Query Parameters

<ParamField path="include" type="string">
  Related data to include: `tags`, `lists`, `contacts`, `custom_fields`
</ParamField>

### Endpoint Example

`GET` `/user-api/v1/companies/company_12345?include=tags,contacts,custom_fields`

### Response

```json theme={null}
{
  "data": {
    "id": "company_12345",
    "name": "Acme Corp",
    "description": "Leading technology company specializing in innovative solutions",
    "headquarters_location": "San Francisco, CA",
    "linkedin_slug": "acme-corp",
    "website_url": "https://acmecorp.com",
    "x_slug": "acmecorp",
    "facebook_slug": "acmecorp",
    "instagram_slug": "acmecorp",
    "email": "info@acmecorp.com",
    "country_code": "+1",
    "phone_number": "5551234567",
    "arr_estimate": 5000000,
    "number_of_employees": 250,
    "is_starred": false,
    "ignore_merge": false,
    "last_team_interaction": "2025-01-15T10:30:00Z",
    "team_members_connected": 5,
    "created_at": "2025-01-15T10:30:00Z",
    "updated_at": "2025-01-15T10:30:00Z"
  }
}
```
